class CreatePerformances < ActiveRecord::Migration[6.1]
  def change
    create_table :performances do |t|
      t.references :user, null: false, foreign_key: true
      t.references :movement, null: true, foreign_key: true
      t.jsonb :details, default: {}
      t.date :date, null: false

      t.timestamps
    end
  end
end
