# frozen_string_literal: true

require 'test_helper'

class AlertComponentTest < ViewComponent::TestCase
  def test_component_renders_something_useful
    render_inline(AlertComponent.new(name: :alert, message: 'Hello, alert!'))

    assert_includes rendered_component, 'Hello, alert!'
    assert_includes rendered_component, 'bg-red'
  end
end
