# frozen_string_literal: true

require 'test_helper'

class DestroyButtonComponentTest < ViewComponent::TestCase
  def test_component_renders_something_useful
    item = FactoryBot.create(:movement)

    render_inline(DestroyButtonComponent.new(item: item))

    assert_includes rendered_component, I18n.t(:destroy)
    assert_includes rendered_component, "/movements/#{item.id}"
  end
end
