# frozen_string_literal: true

require 'test_helper'

class EditButtonComponentTest < ViewComponent::TestCase
  include Rails.application.routes.url_helpers

  def test_component_renders_something_useful
    item = FactoryBot.create(:movement)

    render_inline(EditButtonComponent.new(item: item))

    assert_includes rendered_component, I18n.t(:edit)
    assert_includes rendered_component, "/movements/#{item.id}/edit"
  end
end
