# frozen_string_literal: true

FactoryBot.define do
  factory :workout_element do
    workout
    movement

    transient do
      movement_name { false }
    end

    after :build do |element, evaluator|
      element.movement = build(:movement, name: evaluator.movement_name) if evaluator.movement_name
    end
  end
end
