# frozen_string_literal: true

require 'test_helper'

class AuthenticationTest < ActionDispatch::IntegrationTest
  test 'athlete can log in' do
    get '/users/sign_in'

    assert_select 'form'

    post '/users/sign_in', params: { user: { email: users(:kathrin).email, password: 'supersecretpassword' } }

    follow_redirect!
    assert_equal 200, status
    assert_equal '/', path
  end
end
