# frozen_string_literal: true

class AlertComponent < ViewComponent::Base
  BACKGROUND_COLORS = {
    alert: 'bg-red-500',
    notice: 'bg-blue-500'
  }.freeze

  def initialize(name:, message:)
    @message = message
    @background = BACKGROUND_COLORS.fetch(name.to_sym)
  end
end
