# frozen_string_literal: true

class DestroyButtonComponent < ViewComponent::Base
  def initialize(item:)
    @item = item
  end

  def call
    link_to t(:destroy), @item, method: :delete, data: { confirm: t(:confirm_deletion) }, class: 'btn btn-sm btn-red'
  end
end
