class AllowNilRounds < ActiveRecord::Migration[6.1]
  def up
    change_table :workouts do |t|
      t.change_null :rounds, true
      t.change_default :rounds, nil
    end
  end

  def down
    change_table :workouts do |t|
      t.change_null :rounds, false, 1
    end
  end
end
