class AddForeignKeysAndIndex < ActiveRecord::Migration[6.1]
  def change
    add_foreign_key "workout_elements", "movements"
    add_foreign_key "workout_elements", "workouts"

    add_index :movements, :name, unique: true
    add_index :movements, :abbreviation, unique: true
  end
end
