# frozen_string_literal: true

require 'test_helper'

class ShowComponentTest < ViewComponent::TestCase
  def test_component_renders_something_useful
    movement = FactoryBot.build_stubbed(:movement)

    render_inline(ShowComponent.new(item: movement))

    assert_includes rendered_component, movement.name

    assert_not_includes rendered_component, Movement.human_attribute_name(:created_at)
  end
end
